> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update current member notification preferences

> Updates the current org member notification preference for in_app or google_chat delivery. google_chat is currently supported for mention.created. Setting enabled=false for in_app mention.created also attempts to acknowledge current unread mention notifications. Disabling google_chat only stops future Chat deliveries.



## OpenAPI

````yaml /openapi.json post /api/orgs/{id}/notifications/preferences
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Integrations and billing
  - name: Notifications and public
paths:
  /api/orgs/{id}/notifications/preferences:
    post:
      tags:
        - Notifications and public
      summary: Update current member notification preferences
      description: >-
        Updates the current org member notification preference for in_app or
        google_chat delivery. google_chat is currently supported for
        mention.created. Setting enabled=false for in_app mention.created also
        attempts to acknowledge current unread mention notifications. Disabling
        google_chat only stops future Chat deliveries.
      operationId: post_api_orgs_id_notifications_preferences
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: id identifier
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - eventType
                - enabled
              properties:
                eventType:
                  type: string
                  enum:
                    - mention.created
                    - issue.assigned
                    - comment.added
                    - issue.status_changed
                channel:
                  type: string
                  enum:
                    - in_app
                    - google_chat
                  default: in_app
                enabled:
                  type: boolean
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPreferenceResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    NotificationPreferenceResponse:
      type: object
      additionalProperties: false
      required:
        - preference
      properties:
        preference:
          $ref: '#/components/schemas/NotificationPreference'
    NotificationPreference:
      type: object
      additionalProperties: false
      required:
        - org_id
        - member_id
        - event_type
        - channel
        - enabled
        - created_at
        - updated_at
      properties:
        org_id:
          type: string
        member_id:
          type: string
        event_type:
          type: string
          enum:
            - mention.created
            - issue.assigned
            - comment.added
            - issue.status_changed
        channel:
          type: string
          enum:
            - in_app
            - google_chat
        enabled:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      description: >-
        Current-member notification preference. Supported channels are in_app
        and google_chat; google_chat is currently supported for mention.created.
        Google Chat delivery is independent from in-app delivery. Disabling
        google_chat does not acknowledge or clear in-app notifications.
        Disabling in_app mention.created delivery also attempts to acknowledge
        current unread mention notifications.
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      additionalProperties: true
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````